package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/6 13:40
 * @Description:
 **/
public class DicOrderState {
    public static final String  PAID= "已付款";
    public static final String  NOTPAID= "未付款";
    public static final String PAYFAILED = "付款失败";
    public static final String PAYOFF = "已取消";

    private static DicOrderState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicOrderState(){
        dicMap=new LinkedHashMap<String,String>();
        dicMap.put(PAID,PAID);
        dicMap.put(NOTPAID,NOTPAID);
        dicMap.put(PAYFAILED,PAYFAILED);
        dicMap.put(PAYOFF,PAYOFF);
    }
    public static DicOrderState getInstance(){
        if(null==instance){
            instance=new DicOrderState();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
